Name:           perl-MooseX-Getopt
Summary:        Moose role for processing command line options
Version:        0.33
Release:        1%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/MooseX-Getopt-%{version}.tar.gz 
URL:            http://search.cpan.org/dist/MooseX-Getopt/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.31
BuildRequires:  perl(Getopt::Long) >= 2.37
BuildRequires:  perl(Getopt::Long::Descriptive) >= 0.081
BuildRequires:  perl(Moose) >= 0.56
BuildRequires:  perl(Test::Exception) >= 0.21
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Requires) >= 0.05
BuildRequires:  perl(Test::Warn) >= 0.21

Requires:       perl(Getopt::Long) >= 2.37
Requires:       perl(Getopt::Long::Descriptive) >= 0.081
Requires:       perl(Moose) >= 0.56

%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
This is a Moose role which provides an alternate constructor for creating
objects using parameters passed in from the command line.

%prep
%setup -q -n MooseX-Getopt-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Oct 09 2010 Iain Arnell <iarnell@gmail.com> 0.33-1
- update by Fedora::App::MaintainerTools 0.006
- updating to latest GA CPAN version (0.33)
- altered br on perl(ExtUtils::MakeMaker) (6.42 => 6.31)
- altered br on perl(Test::More) (0.62 => 0.88)
- added a new br on perl(Test::Requires) (version 0.05)
- added a new br on perl(Test::Warn) (version 0.21)

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.27-2
- Mass rebuild with perl-5.12.0

* Sun Mar 14 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.27-1
- update by Fedora::App::MaintainerTools 0.006
- updating to latest GA CPAN version (0.27)
- altered br on perl(Getopt::Long::Descriptive) (0.077 => 0.081)
- dropped old BR on perl(Scalar::Util)
- dropped old BR on perl(Test::Pod::Coverage)
- altered req on perl(Getopt::Long::Descriptive) (0.077 => 0.081)

* Fri Feb 05 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.26-1
- add perl_default_filter
- PERL_INSTALL_ROOT => DESTDIR in install
- auto-update to 0.26 (by cpan-spec-update 0.01)

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.22-2
- rebuild against perl 5.10.1

* Sat Sep 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.22-1
- auto-update to 0.22 (by cpan-spec-update 0.01)
- altered br on perl(Getopt::Long::Descriptive) (0 => 0.077)
- added a new br on perl(Test::Moose) (version 0)
- altered req on perl(Getopt::Long::Descriptive) (0 => 0.077)

* Wed Aug 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.20-1
- auto-update to 0.20 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- altered br on perl(Getopt::Long) (2.35 => 2.37)
- added a new req on perl(Getopt::Long) (version 2.37)
- added a new req on perl(Getopt::Long::Descriptive) (version 0)
- added a new req on perl(Moose) (version 0.56)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.18-1
- update to 0.18

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.15-1
- update to 0.15

* Thu Jul 10 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.13-2
- tweak Getopt::Long dep to 2.35; passes tests just fine with 2.35, and that's
  what we have in F-8 perl

* Sat Jun 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.13-1
- update to 0.13
- switch to Module::Install invocations, rather than Module::Build

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.05-2
- rebuild for new perl

* Fri Aug 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- update to 0.05
- license tag: GPL -> GPL+

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-2
- bump

* Thu May 03 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- update to 0.03

* Fri Apr 20 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.02-1
- Specfile autogenerated by cpanspec 1.69.1.
